aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.travis.yml4
-rw-r--r--scripts/macos_build.sh5
2 files changed, 4 insertions, 5 deletions
diff --git a/.travis.yml b/.travis.yml
index 855b57d4..e1fcb36d 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -7,5 +7,5 @@ before_install:
script:
# XXX: please chmod +x the shell script.
- - sh ./scripts/macos_build.sh
- - ./scripts/macos_post_build.sh
+ - bash ./scripts/macos_build.sh
+ - bash ./scripts/macos_post_build.sh
diff --git a/scripts/macos_build.sh b/scripts/macos_build.sh
index 150c3383..86605c5a 100644
--- a/scripts/macos_build.sh
+++ b/scripts/macos_build.sh
@@ -1,9 +1,8 @@
#!/bin/sh
-set -Eeuxo pipefail
+set -Eexo pipefail
-export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/usr/local/lib/pkgconfig
-export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/usr/local/opt/openssl/lib/pkgconfig
+export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/usr/local/lib/pkgconfig:/usr/local/opt/openssl/lib/pkgconfig
export PATH=$PATH:/usr/local/opt/qt5/bin:/usr/local/bin
mkdir bass